package com.pcloud.book.custom.dao;


import com.pcloud.book.custom.dto.CustomTimeControlDTO;
import com.pcloud.book.custom.dto.CustomTimeControlPageDTO;
import com.pcloud.book.custom.entity.CustomTimeControl;
import com.pcloud.common.core.dao.BaseDao;

import java.util.List;

public interface CustomTimeControlDao extends BaseDao<CustomTimeControl> {
    int deleteByPrimaryKey(Integer id);

    CustomTimeControl selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(CustomTimeControl record);

    int updateByPrimaryKey(CustomTimeControl record);

    List<CustomTimeControlPageDTO> getCustomTimeControlPage(String taskName);

    CustomTimeControlDTO getCustomTimeControlById(Integer id);
}